Bug 184818 - net-im/cjc: Support USE_GITHUB
Summary: net-im/cjc: Support USE_GITHUB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-19 12:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.61 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:02 UTC
- Support USE_GITHUB
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-18 23:55:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-19 12:49:17 UTC
Author: danilo
Date: Thu Dec 19 12:49:09 2013
New Revision: 336894
URL: http://svnweb.freebsd.org/changeset/ports/336894

Log:
  - Support USE_GITHUB
  - Improve COMMENT
  - Add stage support
  
  PR:		ports/184818
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/net-im/cjc/Makefile

Modified: head/net-im/cjc/Makefile
==============================================================================
--- head/net-im/cjc/Makefile	Thu Dec 19 12:41:25 2013	(r336893)
+++ head/net-im/cjc/Makefile	Thu Dec 19 12:49:09 2013	(r336894)
@@ -4,38 +4,37 @@
 PORTNAME=	cjc
 PORTVERSION=	1.2.1
 CATEGORIES=	net-im python
-MASTER_SITES=	http://cloud.github.com/downloads/Jajcus/cjc/
+MASTER_SITES=	GHC
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	The Console Jabber Client
+COMMENT=	Console Jabber Client
 
 LICENSE=	GPLv2
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pyxmpp>=1.1.0:${PORTSDIR}/net-im/py-pyxmpp
 
+OPTIONS_DEFINE=	DOCS
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	Jajcus
+
+WRKSRC=		${WRKDIR}/${DISTNAME}
+
+USES=		shebangfix
+SHEBANG_FILES=	cjc.in cjc.py cjc/main.py
 USE_PYTHON=	2
 
-NO_STAGE=	yes
 post-patch:
-	@${GREP} -lR "/usr/bin/python" ${WRKSRC} | ${XARGS} \
-		${REINPLACE_CMD} -e "s|/usr/bin/python|${PYTHON_CMD}|"
 	@${REINPLACE_CMD} -e \
 		"s|prefix=.*|prefix=${PREFIX}| ; \
-		 /pkg_docdir/s|^|#|g ; \
+		 /^DOCS/s|COPYING|| ; \
 		 s|INSTALL=.*|INSTALL=${INSTALL}| ; \
 		 s|INSTALL_DATA=.*|INSTALL_DATA=${INSTALL_DATA}| ; \
 		 s|INSTALL_DIR=.*|INSTALL_DIR=${MKDIR}|g ; \
-		 s|python |${PYTHON_CMD} |g" ${WRKSRC}/Makefile
-
-.include <bsd.port.options.mk>
+		 /compileall/d" ${WRKSRC}/Makefile
 
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/manual.html ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/TODO ${DOCSDIR}
-.endif
+	(cd ${STAGEDIR}${PREFIX} && ${PYTHON_CMD} -m compileall \
+		-d ${PREFIX} -f ${DATADIR_REL})
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-12-19 12:49:26 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!